package cn.base.conf;

public class RoadDirection extends NodeHome {

	private String up;
	private String down;
	public String getUp() {
		return up;
	}
	public void setUp(String up) {
		this.up = up;
	}
	public String getDown() {
		return down;
	}
	public void setDown(String down) {
		this.down = down;
	}
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("up"))this.up = value;
			if(name.equalsIgnoreCase("down"))this.down = value;
		}
	}
	@Override
	public String toString() {
		return "RoadDirection [up=" + up + ", down=" + down + "]";
	}
	
}
